Bug 1277620 - Confirmation Message appears multiple times when Power Cycling a VM Instance
Summary: Confirmation Message appears multiple times when Power Cycling a VM Instance
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.5.0
Assignee: Martin Hradil
QA Contact: Jeff Teehan
URL:
Whiteboard:
Keywords:
: 1277279 1277629 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-03 16:33 UTC by Jeff Teehan
Modified: 2015-12-08 13:43 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-08 13:43:22 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Jeff Teehan 2015-11-03 16:33:50 UTC
Description of problem:

When I select a VM instance, Azure in this case, and select either stop or start from the Power button, I get a confirmation message.  When I click OK, I get the same confirmation message.  When I click OK a second time, it works find.

Version-Release number of selected component (if applicable):
5.5.0.8 VHD Image

Popup contents  "The page at https://10.16.4.25 says:  Start this instance?" 

How reproducible:

Everytime

Steps to Reproduce:
1.  Add a Cloud Provider
2.  Select an Instance (VM) 
3.  If it's Off, Start it (Start or Stop)

Actual results:

A chain of confirmation dialog boxes.
2 with OK button
3 with Cancel button

Functionally, its all working okay.  Start, Stop, OK, Cancel all eventually perform as expected.

Expected results:

A single confirmation dialog box.

Additional info:

Comment 4 Martin Hradil 2015-11-04 19:03:50 UTC
*** Bug 1277279 has been marked as a duplicate of this bug. ***

Comment 5 Dave Johnson 2015-11-04 21:46:11 UTC
This happens on infra vms as well

Comment 6 Martin Hradil 2015-11-05 13:23:49 UTC
*** Bug 1277629 has been marked as a duplicate of this bug. ***

Comment 7 Jeff Teehan 2015-11-11 01:15:07 UTC
I'll take it.

Comment 8 Jeff Teehan 2015-11-11 01:30:16 UTC
Using 5.5.0.10 on https://10.16.7.101/vm_cloud/explorer

I tried multiple buttons in several places and the dialog appears to be working correctly using the origin steps described above.

Moving to Verified

Comment 10 errata-xmlrpc 2015-12-08 13:43:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.